package com.hc.lib.video;

import android.content.Context;
import android.view.KeyEvent;

public interface IVideoPlayer {

    int TIME = 12 * 1000;
    int PLAY_TIME_NO_LIMIT = -1; //  不限制播放时间

    Context getContext();

    void setFullVideo(boolean fullVideo);

    void setLimitTime(long limitTime);

    void hideAllWidget();

    boolean onKeyDown(int keyCode, KeyEvent event);

    void setAudioMute(boolean needMute);

    /**
     * 设置循环
     */
    void setLoop(boolean looping);

    /**
     * 是否显示播放结束弹窗
     */
    void setShowCompleteDialog(boolean showCompleteDialog);

    /**
     * 暂停或播放
     */
    void pauseOrPlay(boolean play);

    void onVideoResume();

    void onVideoPause();

    void onVideoDestroy();

    void restart();

    /**
     * 返回键按下
     */
    void keyCodeBack();
}
